|
||||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||||
java.lang.Objectjavax.servlet.ServletRequestWrapper
javax.servlet.http.HttpServletRequestWrapper
org.talika.tarsis.filters.security.LoginRequestWrapper
Provides a convenient implementation of the HttpServletRequest
interface that permits us replace client's request with original request.
| Field Summary |
|---|
| Fields inherited from interface javax.servlet.http.HttpServletRequest |
|---|
BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH |
| Constructor Summary | |
|---|---|
LoginRequestWrapper(javax.servlet.http.HttpServletRequest request,
java.util.Map parameters,
java.util.Map attributes)
Creates a new LoginRequestWrapper from client's request. |
|
| Method Summary | |
|---|---|
java.lang.String |
getParameter(java.lang.String name)
Returns the value of a request parameter as a String, or
null if the parameter does not exist. |
java.util.Map |
getParameterMap()
Returns a Map of the parameters of this request. |
java.util.Enumeration |
getParameterNames()
Returns an Enumeration of String objects containing
the names of the parameters contained in this request. |
java.lang.String[] |
getParameterValues(java.lang.String name)
Returns an array of String objects containing all of the values
the given request parameter has, or null if the parameter does
not exist. |
| Methods inherited from class javax.servlet.http.HttpServletRequestWrapper |
|---|
getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole |
| Methods inherited from class javax.servlet.ServletRequestWrapper |
|---|
getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocale, getLocales, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding, setRequest |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Methods inherited from interface javax.servlet.ServletRequest |
|---|
getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocale, getLocales, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding |
| Constructor Detail |
public LoginRequestWrapper(javax.servlet.http.HttpServletRequest request,
java.util.Map parameters,
java.util.Map attributes)
LoginRequestWrapper from client's request.
request - HttpServletRequest client's request.parameters - Map original parameters map.attributes - Map oritinal attributes map.| Method Detail |
public java.lang.String getParameter(java.lang.String name)
String, or
null if the parameter does not exist. Request parameters are
extra information sent with the request.
name - String a String specifying the name of the parameter.
String representing the single value of the
parameter.ServletRequest.getParameter(String)public java.lang.String[] getParameterValues(java.lang.String name)
String objects containing all of the values
the given request parameter has, or null if the parameter does
not exist.
name - String a String specifying the name of the parameter.
String objects containing the
parameter's values.ServletRequest.getParameterValues(String)public java.util.Enumeration getParameterNames()
Enumeration of String objects containing
the names of the parameters contained in this request.
Enumeration of String objects,
each String containing the name of a request parameter; or an
empty Enumeration if the request has no parameters.ServletRequest.getParameterNames()public java.util.Map getParameterMap()
Map of the parameters of this request.
Map containing parameter names as keys
and parameter values as map values. The keys in the parameter map are of type
String. The values in the parameter map are of type
String array.ServletRequest.getParameterMap()
|
||||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||||